/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.data;

/**
 * An object with a unique id. The id may be unique for the instance or the
 * class, depending on the implementation.
 * 
 * @author M.A. Finlayson
 * @version $Id: IHasID.java 566 2011-05-05 19:34:38Z markaf $
 * @since jMWE 1.0.0
 */
public interface IHasID {

	/**
	 * Returns an ID string that uniquely identifies this object or object type.
	 * Should never return <code>null</code>.
	 * 
	 * @return the non-null id String
	 * @since jMWE 1.0.0
	 */
	public String getID();

}
