/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.data;

/**
 * An object that is one of the parts of speech enumerated in {@link MWEPOS}.
 *
 * @author M.A. Finlayson
 * @version $Id: IHasMWEPOS.java 567 2011-05-05 19:35:04Z markaf $
 * @since jMWE 1.0.0
 */
public interface IHasMWEPOS {

	/**
	 * Returns the part of speech of this object. May not return
	 * <code>null</code>.
	 * 
	 * @return the non-null part of speech of the MWE.
	 * @since jMWE 1.0.0
	 */
	public MWEPOS getPOS();

}
