/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.data.concordance;

import edu.mit.jmwe.data.IToken;

/**
 * A token from a Semcor sentence.
 * 
 * @author M.A. Finlayson
 * @version $Id: IConcordanceToken.java 619 2011-05-08 20:21:37Z markaf $
 * @since jMWE 1.0.0
 */
public interface IConcordanceToken extends IToken {

	/**
	 * Returns the index of the token in the Semcor sentence from which it was
	 * extracted.
	 * 
	 * @return the token number of the token in the Semcor sentence from which
	 *         it was extracted.
	 * @since jMWE 1.0.0
	 */
	public int getTokenNumber();

	/**
	 * Returns the index of the part in the Semcor token from which this part
	 * was extracted. This number will be greater than zero only if the token
	 * was originally a part of a multi-word expression in Semcor.
	 * 
	 * @return the index of the part in the Semcor token from which this part
	 *         was extracted.
	 * @since jMWE 1.0.0
	 */
	public int getPartNumber();
	

}
