/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.detect;

/**
 * A MWE Detector that wraps another MWE detector.
 * 
 * @author M.A. Finlayson
 * @version $Id$
 * @since jMWE 1.0.0
 */
public interface IHasMWEDetector {

	/**
	 * Returns the MWE detector associated with this contraint detector.
	 * 
	 * @return the MWE detector associated with this object
	 * @since jMWE 1.0.0
	 */
	public IMWEDetector getWrappedDetector();

}
