/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.detect;

import java.util.Arrays;

import edu.mit.jmwe.index.IMWEIndex;

/**
 * Returns a composite detector backed by the {@link Exhaustive} and
 * {@link StopWords} detection strategies.
 * 
 * @author N. Kulkarni
 * @version $Id: TrulyExhaustive.java 610 2011-05-06 20:05:20Z markaf $
 * @since jMWE 1.0.0
 */
public class TrulyExhaustive extends CompositeDetector {

	/**
	 * Constructs a new detector that looks up everything, stop words included.
	 * 
	 * @param index
	 *            the index to be used by this detector; may not be
	 * @since jMWE 1.0.0
	 */
	public TrulyExhaustive(IMWEIndex index) {
		super(Arrays.asList(new Exhaustive(index), new StopWords()));
	}

}
