/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.detect.score;

import java.util.Comparator;

/**
 * A scorer provides a score for an object.
 *
 * @author M.A. Finlayson
 * @version $Id: IScorer.java 598 2011-05-06 03:33:34Z markaf $
 * @since jMWE 1.0.0
 */
public interface IScorer<T> extends Comparator<T> {

	/**
	 * Score the specified object. The object may be <code>null</code>,
	 * depending on the implementation.
	 * 
	 * @param obj
	 *            the object to be scored
	 * @return the score
	 * @since jMWE 1.0.0
	 */
	public double score(T obj);

}
